//
// (c) 1994 Jonathan Cloots
//

#include "pb_sdk.h"

static char NodeMsgPath[61];
static char Path[61];
static char CfgName[61];

bool PushKey(byte Scan, byte Key) {
    _AH=0x5;
    _CH=Scan;
    _CL=Key;
    asm int 0x16;
    return(_AL);
}

void main(void) {
    bool Ok=FALSE;

    if(NodeMsgPath[0]==0) { // First time that it starts up
        sprintf(CfgName,"%sSSMCU.INI",Config->pexpath);
        Ok=GetIniVar(CfgName,"NodeMsgPath",NodeMsgPath,61); if(!Ok) { printf("\x11 Error!"); Log(LOG_FRIEND,"Could not read SSMCU.INI - 'NodeMsgPath'"); return; }
        sprintf(Path,"%sNODE_%d.MSG",NodeMsgPath,NodeNumber);
    }

    if(access(Path,F_OK)==0) {
        printf("\f\4");
        MenuFunction(45,Path);
        unlink(Path);
        printf("\n\n\7Start the multiline chatter ? ");
        if(Ask(TRUE)) {
            MenuFunction(60,"SSMCU");
            goto x;
        } else {
            x: printf("\f");
            PushKey(0,0x13);
            PushKey(0,0x13);
        }
    }
    ExitTSR();
}
